declare const _default: import("vue").DefineComponent<{}, {
    $emit: (event: "update:modelValue", ...args: any[]) => void;
    text: string;
    variant: string;
    disabled: boolean;
    chips: unknown[];
    avatar: boolean;
    closable: boolean;
    avatarType: string;
    prependIcon?: string | undefined;
    appendIcon?: string | undefined;
    elevation?: number | undefined;
    filterIcon?: string | undefined;
    avatarImage?: string | undefined;
    $props: {
        readonly text?: string | undefined;
        readonly variant?: string | undefined;
        readonly disabled?: boolean | undefined;
        readonly chips?: unknown[] | undefined;
        readonly avatar?: boolean | undefined;
        readonly closable?: boolean | undefined;
        readonly avatarType?: string | undefined;
        readonly prependIcon?: string | undefined;
        readonly appendIcon?: string | undefined;
        readonly elevation?: number | undefined;
        readonly filterIcon?: string | undefined;
        readonly avatarImage?: string | undefined;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
